- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# aut_to_exp.hh File Reference

Author:
  Yann Régis-Gianas <yann@lrde.epita.fr>

More...

Include dependency graph for aut_to_exp.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Classes
struct | DefaultChooser
| Default chooser for aut_to_exp(). More...
struct | RandomChooser
| Choose randomly a state between all currently choosable. More...
class | ListChooser
| Chooser for aut_to_exp(). More...
## Functions
template<typename A, typename T>
Element< A, T >::series_set_elt_t | aut_to_exp (const Element< A, T > &a)
| Returns a series which describes the language of the automaton.
template<typename A, typename T, typename Chooser_>
Element< A, T >::series_set_elt_t | aut_to_exp (const Element< A, T > &a, const Chooser_ &c)
| Returns a series which describes the language of the automaton.

## Detailed Description

Author:
  Yann Régis-Gianas <yann@lrde.epita.fr>

Date:
  Tue Jun 24 19:21:17 2003

This file provides converter from automaton to expression.

See also:
  aut_to_exp()

Definition in file aut_to_exp.hh.